////////////////////////////////////////////////////////////////////////
// Shaders for skeet 2012 map -- by JohnnyEnglish (aka neep!)
////////////////////////////////////////////////////////////////////////
models/mapobjects/azlcmb1_skeet_2012/skeetsign
{
	qer_editorImage models/mapobjects/azlcmb1_skeet_2012/skeetsign.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 200
	surfaceparm trans
	surfaceparm nodamage
	q3map_lightimage models/mapobjects/azlcmb1_skeet_2012/skeetsign.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map models/mapobjects/azlcmb1_skeet_2012/skeetsign.tga
		rgbGen identity

	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/field1:q3map
{
    surfaceparm nodamage
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/thesky
{
	qer_editorimage env/azlcmb1_skeet_2012/st_ft.tga
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 50
	q3map_sun 1 1 1 100 40 15
	skyparms env/azlcmb1_skeet_2012/st - -
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/watercaulk
{
	qer_editorimage textures/water.tga
	qer_nocarve
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/johnclip
{
	qer_editorimage textures/johnclip.tga
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
////////////////////////////////////////////////////////////////////////
models/players/funstuff/cmmhat
{
	qer_editorimage textures/azlcmb1_skeet_2012/cmmhat.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
 	deformVertexes autosprite
	cull none
	nopicmip
	{
		map textures/azlcmb1_skeet_2012/cmmhat.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
models/mapobjects/azlcmb1_skeet_2012/reloader
{
	qer_editorimage models/mapobjects/azlcmb1_skeet_2012/reloader.tga
	q3map_lightimage models/mapobjects/azlcmb1_skeet_2012/reloader.tga
	q3map_surfacelight  2000
	portal
	q3map_forcemeta
	{
		map models/mapobjects/azlcmb1_skeet_2012/reloader.tga
		blendFunc filter
		depthWrite
	}
	{
		map models/mapobjects/azlcmb1_skeet_2012/reloader.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 2048
		rgbGen identityLighting	
	}
	{
		map models/mapobjects/azlcmb1_skeet_2012/reloader.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/golden
{
	qer editorimage textures/azlcmb1_skeet_2012/brown_paint.tga
	q3map_forcemeta
	cull none
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet_2012/brown_paint.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/beam
{
	qer_editorimage textures/azlcmb1_skeet_2012/beam.tga
	qer_trans .8
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	light 1
	q3map_surfacelight 600
	cull none
	{
		map textures/azlcmb1_skeet_2012/beam.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod rotate 22
		rgbGen vertex
		alphaGen vertex
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/decal_white
{
	qer_editorimage textures/azlcmb1_skeet_2012/decal_white.tga
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
		map textures/azlcmb1_skeet_2012/decal_white.tga
		blendfunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/glass2
{
	qer_editorimage textures/glassbright.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	{
		map textures/azlcmb1_skeet_2012/glass2.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/steel1
{
	qer_editorimage textures/azlcmb1_skeet_2012/steel1.tga
	q3map_forcemeta
	{
		map textures/azlcmb1_skeet_2012/steel1.tga
		rgbGen identity
	}
	{
		clampmap textures/azlcmb1_skeet_2012/chrome1.tga
		blendfunc add
		rgbGen const ( 0.188235 0.188235 0.407843 )
		tcGen environment
	}
	{
		map textures/azlcmb1_skeet_2012/steel1.tga
		blendfunc filter
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_src_alpha
		tcGen lightmap
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/walllight
{
	qer_editorimage textures/azlcmb1_skeet_2012/walllight.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 5000
	surfaceparm trans
	q3map_lightimage textures/azlcmb1_skeet_2012/walllight.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_skeet_2012/walllight.tga
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/uzvideo
{
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1500
	qer_editorimage textures/azlcmb1_skeet_2012/winners.tga
	{
		map textures/azlcmb1_skeet_2012/winners.tga
		tcmod scroll 0 0.1
		rgbGen identity
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/skip
{
	qer_editorimage textures/skip.tga
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/hint
{
	qer_editorimage textures/hint.tga
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}
////////////////////////////////////////////////////////////////////////
models/mapobjects/azlcmb1_skeet_2012/carpet
{
	qer_editorimage models/mapobjects/azlcmb1_skeet_2012/carpet.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/azlcmb1_skeet_2012/carpet.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
models/players/funstuff/pickles
{
	qer_editorimage models/players/funstuff/pickles.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
 	deformVertexes autosprite
	cull none
	nopicmip
	{
		map models/players/funstuff/pickles.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
// The urt arcade machine screen
////////////////////////////////////////////////////////////////////////
models/mapobjects/cmm_cabinet_arcade/urtscreen
{
	qer_editorImage models/mapobjects/cmm_cabinet_arcade/urtscreen.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 300
	surfaceparm trans
	q3map_lightimage models/mapobjects/cmm_cabinet_arcade/urtscreen.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map models/mapobjects/cmm_cabinet_arcade/urtscreen.tga
		rgbGen identity

	}
}
////////////////////////////////////////////////////////////////////////
// The awards graphic (by SevenofNine)
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet_2012/awards
{
	qer_editorimage textures/azlcmb1_skeet_2012/awards.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map textures/azlcmb1_skeet_2012/awards.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

